#ifndef FILETRANSDLG_H
#define FILETRANSDLG_H

#include"ui_filetrans.h"
#include"im.h"

class PsiAccount;
namespace XMPP
{
	class FileTransfer;
}

class FileTransDlg : public FileTransUI
{
	Q_OBJECT
public:
	FileTransDlg(const XMPP::Jid &j, PsiAccount *pa);
	FileTransDlg(XMPP::FileTransfer *ft, PsiAccount *pa);
	~FileTransDlg();

public slots:
	void done(int r);

private slots:
	void chooseFile();
	void doStart();
	void ft_accepted();
	void ft_connected();
	void ft_readyRead(const QByteArray &);
	void ft_bytesWritten(int);
	void trySend();

private:
	class Private;
	Private *d;

	void finished();
};

#endif

